Generate Remita RRR Invoice
curl --request POST \
--url https://api-local.handle.ng/api/v1/bill-payment/rrr/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billerId": "SPECSELECTRICITY",
"amount": 1000,
"payerName": "Ayodeji Peters",
"payerEmail": "ayodeji@example.com",
"payerPhone": "08012345678",
"billPaymentProductId": "9676615755",
"customFields": [
{
"variable_name": "account_number",
"value": "0219927013063"
}
]
}
'import requests
url = "https://api-local.handle.ng/api/v1/bill-payment/rrr/generate"
payload = {
"billerId": "SPECSELECTRICITY",
"amount": 1000,
"payerName": "Ayodeji Peters",
"payerEmail": "ayodeji@example.com",
"payerPhone": "08012345678",
"billPaymentProductId": "9676615755",
"customFields": [
{
"variable_name": "account_number",
"value": "0219927013063"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billerId: 'SPECSELECTRICITY',
amount: 1000,
payerName: 'Ayodeji Peters',
payerEmail: 'ayodeji@example.com',
payerPhone: '08012345678',
billPaymentProductId: '9676615755',
customFields: [{variable_name: 'account_number', value: '0219927013063'}]
})
};
fetch('https://api-local.handle.ng/api/v1/bill-payment/rrr/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-local.handle.ng/api/v1/bill-payment/rrr/generate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'billerId' => 'SPECSELECTRICITY',
'amount' => 1000,
'payerName' => 'Ayodeji Peters',
'payerEmail' => 'ayodeji@example.com',
'payerPhone' => '08012345678',
'billPaymentProductId' => '9676615755',
'customFields' => [
[
'variable_name' => 'account_number',
'value' => '0219927013063'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-local.handle.ng/api/v1/bill-payment/rrr/generate"
payload := strings.NewReader("{\n \"billerId\": \"SPECSELECTRICITY\",\n \"amount\": 1000,\n \"payerName\": \"Ayodeji Peters\",\n \"payerEmail\": \"ayodeji@example.com\",\n \"payerPhone\": \"08012345678\",\n \"billPaymentProductId\": \"9676615755\",\n \"customFields\": [\n {\n \"variable_name\": \"account_number\",\n \"value\": \"0219927013063\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-local.handle.ng/api/v1/bill-payment/rrr/generate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"billerId\": \"SPECSELECTRICITY\",\n \"amount\": 1000,\n \"payerName\": \"Ayodeji Peters\",\n \"payerEmail\": \"ayodeji@example.com\",\n \"payerPhone\": \"08012345678\",\n \"billPaymentProductId\": \"9676615755\",\n \"customFields\": [\n {\n \"variable_name\": \"account_number\",\n \"value\": \"0219927013063\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-local.handle.ng/api/v1/bill-payment/rrr/generate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billerId\": \"SPECSELECTRICITY\",\n \"amount\": 1000,\n \"payerName\": \"Ayodeji Peters\",\n \"payerEmail\": \"ayodeji@example.com\",\n \"payerPhone\": \"08012345678\",\n \"billPaymentProductId\": \"9676615755\",\n \"customFields\": [\n {\n \"variable_name\": \"account_number\",\n \"value\": \"0219927013063\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Approved or completed successfully",
"data": {
"rrr": "280799679353",
"paymentIdentifier": "init_hdl_1727788412991",
"amount": 1000,
"billerName": "ABUJA ELECTRICITY DISTRIBUTION COMPANY",
"serviceTypeName": "AEDC Prepaid",
"customFields": [
{
"variable_name": "account_number",
"value": "0219927013063"
}
]
}
}Handle VAS & Bill Payments
Generate Remita RRR
Dynamically generate a new 12-digit RRR invoice for Universities, Polytechnics, Federal MDAs, and State Governments.
POST
/
bill-payment
/
rrr
/
generate
Generate Remita RRR Invoice
curl --request POST \
--url https://api-local.handle.ng/api/v1/bill-payment/rrr/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billerId": "SPECSELECTRICITY",
"amount": 1000,
"payerName": "Ayodeji Peters",
"payerEmail": "ayodeji@example.com",
"payerPhone": "08012345678",
"billPaymentProductId": "9676615755",
"customFields": [
{
"variable_name": "account_number",
"value": "0219927013063"
}
]
}
'import requests
url = "https://api-local.handle.ng/api/v1/bill-payment/rrr/generate"
payload = {
"billerId": "SPECSELECTRICITY",
"amount": 1000,
"payerName": "Ayodeji Peters",
"payerEmail": "ayodeji@example.com",
"payerPhone": "08012345678",
"billPaymentProductId": "9676615755",
"customFields": [
{
"variable_name": "account_number",
"value": "0219927013063"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billerId: 'SPECSELECTRICITY',
amount: 1000,
payerName: 'Ayodeji Peters',
payerEmail: 'ayodeji@example.com',
payerPhone: '08012345678',
billPaymentProductId: '9676615755',
customFields: [{variable_name: 'account_number', value: '0219927013063'}]
})
};
fetch('https://api-local.handle.ng/api/v1/bill-payment/rrr/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-local.handle.ng/api/v1/bill-payment/rrr/generate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'billerId' => 'SPECSELECTRICITY',
'amount' => 1000,
'payerName' => 'Ayodeji Peters',
'payerEmail' => 'ayodeji@example.com',
'payerPhone' => '08012345678',
'billPaymentProductId' => '9676615755',
'customFields' => [
[
'variable_name' => 'account_number',
'value' => '0219927013063'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-local.handle.ng/api/v1/bill-payment/rrr/generate"
payload := strings.NewReader("{\n \"billerId\": \"SPECSELECTRICITY\",\n \"amount\": 1000,\n \"payerName\": \"Ayodeji Peters\",\n \"payerEmail\": \"ayodeji@example.com\",\n \"payerPhone\": \"08012345678\",\n \"billPaymentProductId\": \"9676615755\",\n \"customFields\": [\n {\n \"variable_name\": \"account_number\",\n \"value\": \"0219927013063\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-local.handle.ng/api/v1/bill-payment/rrr/generate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"billerId\": \"SPECSELECTRICITY\",\n \"amount\": 1000,\n \"payerName\": \"Ayodeji Peters\",\n \"payerEmail\": \"ayodeji@example.com\",\n \"payerPhone\": \"08012345678\",\n \"billPaymentProductId\": \"9676615755\",\n \"customFields\": [\n {\n \"variable_name\": \"account_number\",\n \"value\": \"0219927013063\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-local.handle.ng/api/v1/bill-payment/rrr/generate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billerId\": \"SPECSELECTRICITY\",\n \"amount\": 1000,\n \"payerName\": \"Ayodeji Peters\",\n \"payerEmail\": \"ayodeji@example.com\",\n \"payerPhone\": \"08012345678\",\n \"billPaymentProductId\": \"9676615755\",\n \"customFields\": [\n {\n \"variable_name\": \"account_number\",\n \"value\": \"0219927013063\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Approved or completed successfully",
"data": {
"rrr": "280799679353",
"paymentIdentifier": "init_hdl_1727788412991",
"amount": 1000,
"billerName": "ABUJA ELECTRICITY DISTRIBUTION COMPANY",
"serviceTypeName": "AEDC Prepaid",
"customFields": [
{
"variable_name": "account_number",
"value": "0219927013063"
}
]
}
}Generate an official Remita Retrieval Reference (RRR) on the fly for institutional payments like school fees, acceptance fees, court fees, or taxes.
Custom Fields
Universities and government agencies often require custom fields (e.g.matric_no, department, session, tax_id). You can supply these inside the customFields array.
Sample Request
curl --request POST \
--url 'https://api-local.handle.ng/api/v1/bill-payment/rrr/generate' \
--header 'Authorization: Bearer sk_test_handle_master_key' \
--header 'Content-Type: application/json' \
--data '{
"billerId": "SPECSELECTRICITY",
"billPaymentProductId": "9676615755",
"amount": 1000,
"payerName": "Ayodeji Peters",
"payerEmail": "ayodeji@example.com",
"payerPhone": "08012345678",
"customFields": [
{ "variable_name": "account_number", "value": "0219927013063" }
]
}'
Authorizations
Body
application/json